Simple line ?

Good evening,

please allow me one very stupid question !

How can I draw a simple line limited by 2 points ( gp_Pnt) ?

Normally I use Geom_BSplineCUrve for such stuff, but it is too slow, if you build some thousands of them.

Here is the next stupid question: How to construct a simple rectangle ? or a hexaeder ?
Does there exist some secret class within the deep of OCC 5.0 ?

I did not find anything apropriate yet !
Regards

MCV

MCV's picture

Okay sorry,
I solved my problems. Wire is a goot thing for creating a line and BRepAPI_MakeWedge / _MakeBox seems to be, what I was seeking for perpendicular hexaeder-sides.

But what if the box shall not consist of right angles ?

MCV